CREATE TABLE IF NOT EXISTS "user" (
    uid UUID PRIMARY KEY,
    username VARCHAR(255) NOT NULL,
    display_name VARCHAR(255),
    avatar_url VARCHAR(255),
    website_url VARCHAR(255),
    organization VARCHAR(255),
    last_sign_in_at TIMESTAMPTZ,
    created_at TIMESTAMPTZ NOT NULL,
    updated_at TIMESTAMPTZ NOT NULL
);

CREATE INDEX idx_user_username ON "user" (username);
